<?php

declare(strict_types=1);

namespace App\Controller\TblRolPanel;

use App\Service\TblRolPanelService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblRolPanelService(): TblRolPanelService
    {
        return $this->container->get('TblRolPanel_service');
    }
}
